2009-03-30 15:14  brzydki

	* po/ChangeLog, po/pl.po:
	  Updated Polish translations

2009-03-29 22:03  maximilian

	* po/ChangeLog, po/LINGUAS, po/es.po, po/it.po:
	  Translations updates - es it ku

2009-03-28 15:06  mmassonnet

	* po/de.po:
	  update german translations

2009-03-27 22:27  maximilian

	* po/ChangeLog, po/LINGUAS, po/gl.po:
	  Translations updates - gl pt ru

2009-03-23 10:13  brzydki

	* po/ChangeLog, po/LINGUAS, po/pl.po:
	  Updated Polish translations

2009-03-11 23:35  kelnos

	* NEWS, configure.ac.in, xfconfd/xfconf-backend-perchannel-xml.c:
	  be a bit safer when writing out channel files

2009-03-05 14:52  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/pt.po, po/pt_PT.po:
	  Renamed pt_PT to pt and nb_NO to nb (bug #4574)

2009-03-02 23:18  maximilian

	* po/ChangeLog, po/LINGUAS, po/pt_PT.po:
	  Translations updates - pt_PT

2009-03-01 22:47  maximilian

	* po/ChangeLog, po/es.po, po/uk.po:
	  Translations updates - es pl uk

2009-02-24 00:49  stephan

	* ChangeLog:
	  Update ChangeLog

2009-02-24 00:46  stephan

	* ChangeLog, NEWS, configure.ac.in, po/ca.po, po/cs.po, po/da.po,
	  po/de.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/hu.po,
	  po/id.po, po/ja.po, po/nb.po, po/nl.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sv.po, po/tr.po, po/uk.po, po/xfconf.pot,
	  po/zh_CN.po:
	  ==== Xfce 4.6.0 Released ====

2009-02-23 09:08  stephan

	* xfconf-query/main.c:
	  Remove unimplemented import and export functions

2009-02-22 12:42  mmassonnet

	* po/ChangeLog, po/ja.po:
	  update japanese translation

2009-02-22 10:28  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/ro.po, po/ru.po:
	  update translations

2009-02-20 23:58  maximilian

	* po/ChangeLog, po/ca.po:
	  Translations Updates - ca es gl id it pt_PT zh_CN

2009-02-20 18:57  stephan

	* configure.ac.in, xfconf-query/main.c:
	  Fix Bug #4622, applied patch by Mike Massonnet
	  <mike.massonnet@gmail.com> (with changes)

2009-02-16 15:54  pko

	* po/ChangeLog, po/da.po:
	  * da.po: Danish translation update (Per Kongstad) * da.po: Danish
	  translation update (Per Kongstad) * da.po: Updated Danish
	  traanslation (Per Kongstad)

2009-02-12 09:14  stephan

	* xfconf-query/main.c:
	  Revert previous change to xfconf-query, but still clean up the
	  g_critical assertion

2009-02-11 12:24  mmassonnet

	* po/ChangeLog, po/fr.po:
	  update french translation

2009-02-11 01:59  sas

	* po/hu.po:
	  [intl:hu] little updates for 4.6

2009-02-08 08:20  maximilian

	* po/ChangeLog, po/id.po, po/nb.po, po/zh_CN.po:
	  Translations udaptes - de id ja nb pl zh_CN

2009-02-07 23:18  stephan

	* xfconf-query/main.c:
	  Fix my previous commit

2009-02-07 20:02  eulex

	* po/ChangeLog, po/sv.po:
	  xfwm4/trunk/po: * sv.po: Swedish translation update (Daniel
	  Nylander) xfconf/trunk/po: * sv.po: Swedish translation update
	  (Daniel Nylander)

2009-02-07 13:52  stephan

	* xfconf-query/main.c:
	  Now it supports showing array contents inside the verbose-list
	  view.

2009-02-05 01:20  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2009-02-03 21:07  maximilian

	* po/ChangeLog, po/es.po:
	  Translations updates - en_GB es

2009-02-02 05:57  kelnos

	* xfconfd/xfconf-backend-factory.c:
	  just malloc a GType to store in the hash table rather than
	  assuming a GType will always fit in a pointer, and/or using the
	  annoying macros that don't really do what we want (but 4881).

2009-02-01 21:47  stephan

	* xfconfd/xfconf-backend-factory.c:
	  Replace GUINT_TO_POINTER and GPOINTER_TO_UINT with
	  GSIZE_TO_POINTER and GPOINTER_TO_SIZE respectively. Fixes
	  segfault on AMD64 (Bug #4881)

2009-01-31 17:38  erenturkay

	* po/ChangeLog, po/tr.po:
	  Turkish translation update by Gokmen Gorgen and Samed Beyribey

2009-01-26 23:15  piarres

	* po/ChangeLog, po/eu.po:
	  Trunk Basque translation update

2009-01-26 20:52  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2009-01-26 20:39  maximilian

	* po/ChangeLog, po/LINGUAS, po/uk.po:
	  Translations updates - ca fr uk

2009-01-26 12:57  jannis

	* ChangeLog:
	  Update ChangeLog.

2009-01-26 12:57  jannis

	* NEWS, po/ChangeLog, po/nl.po, po/zh_CN.po:
	  Update NEWS and translation files for the release.

2009-01-26 10:17  kelnos

	* common/xfconf-gvaluefuncs.c, po/ca.po, po/cs.po, po/da.po,
	  po/de.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/hu.po,
	  po/id.po, po/ja.po, po/nb.po, po/pt_BR.po, po/sv.po, po/tr.po,
	  po/xfconf.pot:
	  don't translate "true" or "false" in xfconf-query output

2009-01-25 14:33  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2009-01-25 14:27  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2009-01-25 01:13  stephan

	* configure.ac.in:
	  Remove the svn tag

2009-01-25 00:48  stephan

	* ChangeLog, NEWS, configure.ac.in:
	  Update version number, NEWS and ChangeLog

2009-01-24 18:25  stephan

	* po/ChangeLog, po/LINGUAS, po/cs.po, po/da.po, po/es.po, po/fr.po,
	  po/ja.po, po/nl.po, po/pt_BR.po, po/sv.po:
	  - Update .po files - Add dutch translation

2009-01-23 18:40  pko

	* po/da.po:
	  Danish translation update M xfconf/trunk/po/da.po M
	  xarchiver/trunk/po/da.po M xfce4-panel/trunk/po/da.po

2009-01-23 15:36  pko

	* po/ChangeLog, po/da.po:
	  * da.po: Danish translation update (Per Kongstad) * da.po: Danish
	  translation updated (Per Kongstad) * da.po: Danish translation
	  update (Per Kongstad) * da.po: Danish translation updated (Per
	  Kongstad) * da.po: Danish translation updated to 0.5.2 (Per
	  Kongstad) * da.po: Danish translation update (Per Kongstad) *
	  da.po: Danish tranlation update 4.5.93 (Per Kongstad) * da.po,
	  LINGUAS: Danish translation added (Per Kongstad) * da.po : Danish
	  translation updated (Per Kongstad)

2009-01-21 20:48  maximilian

	* po/ChangeLog, po/LINGUAS, po/zh_CN.po:
	  Translations udpates - fr zh_CN

2009-01-19 22:11  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2009-01-19 20:58  maximilian

	* po/ChangeLog, po/fr.po:
	  Translations udpates - es fr nb_NO zh_CN

2009-01-18 12:32  eulex

	* po/ChangeLog, po/sv.po:
	  xfce4-session/trunk/po: * sv.po: Swedish translation update
	  (Daniel Nylander) xfce4-panel/trunk/po: * sv.po: Swedish
	  translation update (Daniel Nylander) xfce4-settings/trunk/po: *
	  sv.po: Swedish translation update (Daniel Nylander)
	  libxfce4menu/trunk/po: * sv.po: Swedish translation update
	  (Daniel Nylander) libxfce4util/trunk/po: * sv.po: Swedish
	  translation update (Daniel Nylander) xfwm4/trunk/po: * sv.po:
	  Swedish translation update (Daniel Nylander)
	  xfce4-appfinder/trunk/po: * sv.po: Swedish translation update
	  (Daniel Nylander) xfconf/trunk/po: * sv.po: Swedish translation
	  update (Daniel Nylander) libxfcegui4/trunk/po: * sv.po: Swedish
	  translation update (Daniel Nylander)

2009-01-17 16:26  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2009-01-14 21:18  jannis

	* configure.ac.in:
	  Post-release version bump.

2009-01-11 22:28  maximilian

	* po/ChangeLog, po/ca.po, po/es.po, po/ja.po:
	  Translations updates - ca es ja

2009-01-11 08:23  stephan

	* ChangeLog, NEWS, configure.ac.in:
	  Update ChangeLog, NEWS and version-number

2009-01-10 22:31  jannis

	* xfconf-query/main.c:
	  Apply another small string review patch by David Mohr (same bug
	  as before).

2009-01-09 02:07  kelnos

	* po/ca.po, po/cs.po, po/da.po, po/de.po, po/es.po, po/eu.po,
	  po/fi.po, po/fr.po, po/hu.po, po/id.po, po/ja.po, po/nb.po,
	  po/pt_BR.po, po/sv.po, po/tr.po, po/xfconf.pot,
	  xfconf-query/main.c, xfconfd/main.c,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-daemon.c:
	  string review patch from david mohr (bug 4770)

2008-12-31 02:40  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation fixed

2008-12-30 10:26  sas

	* po/hu.po:
	  [intl:hu] littlefixes2

2008-12-27 04:45  kelnos

	* common/xfconf-errors.c, common/xfconf-types.c,
	  xfconf-query/main.c, xfconf/xfconf-binding.c,
	  xfconf/xfconf-channel.c, xfconf/xfconf-private.h,
	  xfconf/xfconf.c, xfconfd/xfconf-backend-factory.c,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-daemon.c,
	  xfconfd/xfconf-locking-utils.c:
	  fix a bunch of warnings

2008-12-25 11:30  kelnos

	* NEWS, configure.ac.in, xfconf-perl/Makefile.am:
	  allow passing arbitrary options to the perl bindings' Makefile.PL
	  via configure --with-perl-options="foo". patch from
	  <yselkowitz@users.sourceforge.net> (bug 4735)

2008-12-25 11:30  kelnos

	* NEWS, xfconf-perl/Makefile.PL.in:
	  fix perl binding link order on cygwin patch from
	  <yselkowitz@users.sourceforge.net> (bug 4735)

2008-12-13 21:25  eulex

	* po/ChangeLog, po/LINGUAS, po/sv.po:
	  xfce4-panel/trunk/po: * sv.po: Swedish translation update (Daniel
	  Nylander) xfdesktop/trunk/po: * sv.po: Swedish translation update
	  (Daniel Nylander) xfprint/trunk/po: * sv.po: Swedish translation
	  update (Daniel Nylander) xfce4-mixer/trunk/po: * sv.po, LINGUAS:
	  Swedish translation added (Daniel Nylander)
	  xfce4-icon-theme/trunk/po: * sv.po, LINGUAS: Swedish translation
	  added (Daniel Nylander) xfce-utils/trunk/po: * sv.po: Swedish
	  translation update (Daniel Nylander) thunar/trunk/po: * sv.po:
	  Swedish translation update (Daniel Nylander)
	  xfce4-appfinder/trunk/po: * sv.po: Swedish translation update
	  (Daniel Nylander) xfconf/trunk/po: * sv.po, LINGUAS: Swedish
	  translation added (Daniel Nylander)
	  xfce4-trigger-launcher/trunk/po: * sv.po: Swedish translation
	  update (Daniel Nylander)

2008-12-08 00:00  piarres

	* po/ChangeLog, po/eu.po:
	  Trunk basque trasnaltion updates

2008-11-30 19:23  maximilian

	* po/ChangeLog, po/fr.po:
	  Translations updates - ca es fr ja

2008-11-28 21:51  maximilian

	* po/ChangeLog, po/LINGUAS, po/nb.po:
	  Translations updates - nb

2008-11-27 00:22  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translations.

2008-11-25 21:20  maximilian

	* po/ChangeLog, po/es.po:
	  Translations updates - es fr

2008-11-23 23:04  piarres

	* po/ChangeLog, po/eu.po:
	  trunk Basque translation update

2008-11-21 23:57  piarres

	* po/ChangeLog, po/LINGUAS, po/eu.po:
	  xfconf Basque translation added

2008-11-17 22:28  stephan

	* xfconf-query/main.c:
	  fix it by xfce-wrapper func (like jannis suggested)

2008-11-17 22:20  stephan

	* xfconf-query/Makefile.am, xfconf-query/main.c:
	  Prevent me from being kicked by ofourdan

2008-11-17 22:15  stephan

	* xfconf-query/main.c:
	  Execute set_locale (at the risk of being kicked by ofourdan for
	  breaking api compatibility)
	  
	  Lets see if this fixes the UTF-8 issue in bug #4622

2008-11-16 22:39  maximilian

	* po/ChangeLog, po/ca.po, po/de.po, po/es.po, po/id.po:
	  Translations updates and additions - ca, de, es, id, tr, uk

2008-11-15 20:53  erenturkay

	* po/ChangeLog, po/tr.po:
	  Turkish translation update

2008-11-12 07:55  kelnos

	* NEWS, xfconfd/Makefile.am, xfconfd/org.xfce.Xfconf.service.in:
	  install xfconfd to $libexecdir instead of $bindir

2008-11-10 12:27  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2008-11-10 11:58  kelnos

	* configure.ac.in:
	  re-add svn version tag

2008-11-10 11:57  kelnos

	* xfconf-perl/Makefile.am:
	  make the perl bindings respect --prefix

2008-11-09 23:15  stephan

	* ChangeLog, configure.ac.in, po/ca.po, po/cs.po, po/da.po,
	  po/de.po, po/es.po, po/fi.po, po/fr.po, po/hu.po, po/id.po,
	  po/ja.po, po/pt_BR.po, po/tr.po, po/xfconf.pot:
	  Update .po files Update ChangeLog Update dependency-version
	  Update version-number

2008-11-08 23:05  kelnos

	* NEWS, xfconf-query/Makefile.am:
	  fix link order for cygwin (bug 4559)

2008-11-08 21:52  kelnos

	* NEWS, xfconfd/xfconf-backend-perchannel-xml.c:
	  only consider the file under $XDG_CONFIG_HOME as the user dir.
	  all others in $XDG_CONFIG_DIRS should be considered system dirs
	  (bug 4592).

2008-11-06 12:06  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-11-06 10:22  kelnos

	* NEWS, docs/reference/tmpl/xfconf-channel.sgml,
	  docs/reference/tmpl/xfconf-unused.sgml,
	  docs/reference/xfconf-sections.txt, xfconf/xfconf-channel.c,
	  xfconf/xfconf-channel.h, xfconf/xfconf.symbols:
	  remove xfconf_channel_remove_property() and _properties(). might
	  as well get rid of them since i already bumped the lib version

2008-11-06 07:16  kelnos

	* xfconf/xfconf-binding.c:
	  no, no... while it would be awesome to be able to disable UI
	  elements based on whether or not the bound xfconf property is
	  locked or not, this breaks in the non-settings-dialog case where
	  the app uses binding properties on a GtkWidget. likely you don't
	  want *that* to get disabled.

2008-11-06 07:09  kelnos

	* xfconf/xfconf-binding.c:
	  if a bound property is locked, try to guess if it's a GtkWidget,
	  and set it insensitive

2008-11-03 04:48  kelnos

	* xfconf-query/main.c:
	  check xfconf_init() retval for errors, properly check retval of
	  xfconf_list_channels() for null pointer

2008-11-02 21:30  kelnos

	* xfconfd/main.c:
	  check error code properly

2008-11-02 21:25  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  filter duplicates from _list_channels()

2008-11-02 19:05  kelnos

	* xfconfd/Makefile.am, xfconfd/main.c:
	  some cleanups. don't g_error(), just g_critical() so it doesn't
	  abort()

2008-11-02 18:19  kelnos

	* xfconf/xfconf-channel.c:
	  always pass GError* pointers into dbus-glib, because apparently
	  those aren't allowed to be NULL -- app will crash if an error
	  occurs (bug 4548)

2008-11-02 17:43  kelnos

	* xfconfd/xfconf-daemon.c:
	  add dbus filter function earlier so we don't get an abort() from
	  dbus if an error occurs early in the xfconf init process

2008-11-02 17:43  kelnos

	* xfconfd/main.c:
	  some cleanups

2008-11-02 17:43  kelnos

	* xfconfd/main.c:
	  don't use deprecated GIOChannel function

2008-10-31 12:24  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-28 23:17  maximilian

	* po/ChangeLog, po/de.po:
	  Translations updates and additions HUGE

2008-10-28 23:04  majkl

	* po/ChangeLog, po/LINGUAS, po/cs.po:
	  Czech translation added

2008-10-27 10:50  kelnos

	* NEWS:
	  update NEWS

2008-10-27 10:47  kelnos

	* Makefile.am, common/xfconf-gvaluefuncs.c,
	  common/xfconf-gvaluefuncs.h, configure.ac.in,
	  xfconf-perl/Makefile.PL, xfconf-perl/Makefile.PL.in,
	  xfconf-perl/Makefile.am, xfconf-perl/Xfconf.pm,
	  xfconf-perl/Xfconf.pm.in, xfconf-perl/copyright.pod,
	  xfconf-perl/xs/Makefile.am, xfconf-perl/xs/Xfconf.xs,
	  xfconf-perl/xs/XfconfBinding.xs, xfconf-perl/xs/XfconfChannel.xs,
	  xfconf-perl/xs_files:
	  make a bunch of changes to the perl bindings, and hook them up in
	  the build. it's a little nasty; hopefully it works right on
	  machines other than my own :-/

2008-10-27 10:47  kelnos

	* common/Makefile.am, xfconf/Makefile.am, xfconfd/Makefile.am:
	  fix srcdir != builddir build

2008-10-27 08:00  kelnos

	* configure.ac.in, docs/reference/tmpl/xfconf-binding.sgml,
	  docs/reference/xfconf-sections.txt, xfconf/xfconf-binding.c,
	  xfconf/xfconf-binding.h, xfconf/xfconf-private.h,
	  xfconf/xfconf.c, xfconf/xfconf.symbols:
	  change xfconf gbinding API -- bind functions return a gulong id
	  that can be used to remove the binding. _unbind_all() now accepts
	  either a channel or a bound gobject. libtool version number
	  bumped.

2008-10-26 01:41  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-10-24 20:34  kelnos

	* NEWS, xfconfd/xfconf-daemon.c:
	  add dbus message filter to catch disconnects and flush backends
	  (bug 4487)
	  
	  otherwise, on session close, the bus daemon dies and takes
	  xfconfd with it, causing any settings changed in the past 7
	  seconds to not get committed to disk

2008-10-24 06:42  kelnos

	* xfconf-perl/xfconfperl.typemap:
	  ok, i actually don't need that file. my bad.

2008-10-24 06:41  kelnos

	* xfconf-perl/Makefile.PL, xfconf-perl/xs/XfconfChannel.xs:
	  ... and apparently my stale non-autogenerated copy was being used
	  because i had the wrong path in the makefile

2008-10-24 06:41  kelnos

	* xfconf-perl/xfconfperl.typemap:
	  apparently i do need this file, even if it's empty

2008-10-24 06:28  kelnos

	* xfconf-perl, xfconf-perl/Makefile.PL, xfconf-perl/Xfconf.pm,
	  xfconf-perl/copyright.pod, xfconf-perl/doctypes,
	  xfconf-perl/xfconfperl.h, xfconf-perl/xfconfperl.maps,
	  xfconf-perl/xs, xfconf-perl/xs/Xfconf.xs,
	  xfconf-perl/xs/XfconfChannel.xs, xfconf-perl/xs_files:
	  add first cut at libxfconf perl bindings. API is most certainly
	  not final

2008-10-24 06:07  kelnos

	* xfconf/xfconf-channel.c:
	  whoops, missed a marshaller rename

2008-10-24 04:30  kelnos

	* common/Makefile.am, xfconf/xfconf.c, xfconfd/xfconf-daemon.c:
	  fix MAINTAINER_MODE build with glib 2.12

2008-10-22 09:01  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  make the locking/reset situation a lot better. i'm not sure that
	  it all works properly yet, but this is a step in the right
	  direction.

2008-10-21 17:49  maximilian

	* po/ChangeLog, po/LINGUAS, po/ja.po:
	  Translation updates for fr, ja, tr

2008-10-20 20:41  maximilian

	* po/ChangeLog, po/LINGUAS, po/ca.po, po/tr.po:
	  Translation updates for many packages in many languages, is this
	  message too vague

2008-10-20 20:11  kelnos

	* xfconf/xfconf.c:
	  eliminate g_warning when re-initing xfconf after a shutdown

2008-10-20 20:11  kelnos

	* xfconf/xfconf-private.h, xfconf/xfconf.c:
	  remove vestigial org.xfce.Xfconf.GUI-related stuff

2008-10-20 14:37  nick

	* xfconf/xfconf-binding.c, xfconf/xfconf-channel.c,
	  xfconf/xfconf-private.h:
	  * Fix property binding when using channel created with
	  xfconf_channel_new_with_property_base(). We really did too much
	  here ^_^, since property-changed already strips the property_base
	  from the signal and we use xfconf_channel_[sg]et_* function, that
	  implement the property_base too.

2008-10-20 12:40  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-20 10:30  nick

	* xfconf-query/main.c:
	  * Add -m option to monitor property changes of a channel.

2008-10-20 09:48  nick

	* xfconf-query/main.c:
	  * Sort the output of xfconf-query --list and improve column
	  printing. * Allow -p in combination with -l to list a part of a
	  channel. This breaks listing a channel and settings a property at
	  the same time, but IMHO that's not really a user case.

2008-10-20 09:35  nick

	* xfconf/xfconf-channel.c:
	  * Fix a small compiler warning.

2008-10-20 09:31  kelnos

	* configure.ac.in:
	  re-add svn version tag so xfce4-session will actually build

2008-10-18 14:25  maximilian

	* po/ChangeLog, po/LINGUAS, po/es.po, po/fr.po, po/id.po:
	  Translation updates and additions for many packages in es, fr,
	  id, ja, nb_NO and tr

2008-10-18 10:31  kelnos

	* NEWS, docs/reference/Makefile.am,
	  docs/reference/tmpl/xfconf-channel.sgml,
	  docs/reference/xfconf-sections.txt, xfconf/xfconf-binding.c,
	  xfconf/xfconf-channel.c, xfconf/xfconf-channel.h,
	  xfconf/xfconf-private.h, xfconf/xfconf.symbols:
	  add xfconf_channel_new_with_property_base()

2008-10-12 23:38  stephan

	* configure.ac.in:
	  Fix configure.ac.in Bump dep on libxfce4util

2008-10-12 23:31  stephan

	* tests/Makefile.am, tests/reset-properties/Makefile.am,
	  tests/reset-properties/t-remove-arrayv.c,
	  tests/reset-properties/t-remove-boolean.c,
	  tests/reset-properties/t-remove-double.c,
	  tests/reset-properties/t-remove-int.c,
	  tests/reset-properties/t-remove-string.c,
	  tests/reset-properties/t-remove-stringlist.c,
	  tests/reset-properties/t-remove-uint64.c,
	  tests/reset-properties/t-reset-arrayv.c,
	  tests/reset-properties/t-reset-boolean.c,
	  tests/reset-properties/t-reset-double.c,
	  tests/reset-properties/t-reset-int.c,
	  tests/reset-properties/t-reset-string.c,
	  tests/reset-properties/t-reset-stringlist.c,
	  tests/reset-properties/t-reset-uint64.c:
	  Port remove-testsuites to reset-testsuite Remove 'list-channels'
	  test, this test is broken

2008-10-12 23:23  stephan

	* ChangeLog, configure.ac.in, po/da.po, po/de.po, po/fi.po,
	  po/fr.po, po/hu.po, po/pt_BR.po, po/xfconf.pot,
	  tests/Makefile.am,
	  tests/property-changed-signal/t-string-changed-signal-detailed.c,
	  tests/property-changed-signal/t-string-changed-signal.c,
	  tests/remove-properties, tests/reset-properties:
	  Update .po files Fix property-changed-signal tests Update
	  ChangeLog

2008-10-12 10:34  kelnos

	* xfconf/xfconf-channel.c:
	  make xfconf_channel_get_property() also transform array values

2008-10-12 09:03  kelnos

	* NEWS, xfconf/xfconf-channel.c:
	  fix xfconf_channel_get_property() so it converts value types
	  properly if the caller requests it

2008-10-12 07:52  kelnos

	* NEWS:
	  update NEWS

2008-10-12 07:45  kelnos

	* xfconf-query/main.c:
	  fix a bunch of strings

2008-10-12 07:45  kelnos

	* xfconf-query/main.c:
	  add option to force creation of array prop even if only one value

2008-10-12 07:45  kelnos

	* xfconf-query/main.c:
	  use g_set_error(), not g_error_new(), mark some more strings as
	  i18n-able, make stuff more portable

2008-10-10 21:31  sas

	* po/LINGUAS, po/hu.po:
	  [intl:hu] ops

2008-10-09 09:32  kelnos

	* xfconf/xfconf-binding.c:
	  add similar remove checking to the gdkcolor binding

2008-10-09 09:28  kelnos

	* xfconf/xfconf-binding.c:
	  ... and fix a possible memleak i just introduced

2008-10-09 09:25  kelnos

	* xfconf/xfconf-binding.c:
	  if a bound property is removed, try to reset the GObject property
	  to its default

2008-10-08 00:06  jannis

	* xfconf/xfconf-binding.c, xfconf/xfconf-binding.h:
	  Use gpointer instead of GObject* in the parameters of binding
	  functions.

2008-10-07 14:57  stephan

	* xfconf-query/main.c:
	  Add -R option (recursive) for use with --reset

2008-10-07 04:46  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  whoops, plug memleak i just introduced

2008-10-07 04:43  kelnos

	* NEWS:
	  the alpha needs some NEWS too

2008-10-07 04:39  kelnos

	* NEWS:
	  update NEWS

2008-10-07 04:23  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  fix incorrect property names sent with the PropertyRemove signal

2008-10-07 03:47  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  fix crash when resetting multiple properties

2008-10-05 19:27  jannis

	* configure.ac.in:
	  Add svn version tag again.

2008-10-02 02:53  jannis

	* xfconf/xfconf.c:
	  Fix reference counting in xfconf_shutdown(): Don't drop to zero
	  before calling _xfconf_channel_shutdown(). Allow
	  xfconf_shutdown() to be called repeatedly without breaking
	  things.

2008-09-29 20:11  lars

	* po/ChangeLog, po/LINGUAS, po/da.po:
	  * da.po: Danish translation * LINGUAS: Added the Danish language

2008-09-29 06:07  kelnos

	* xfconf/xfconf-channel.c:
	  fix warning in _finalize() if singletons hashtable hasn't been
	  created yet

2008-09-29 04:55  stephan

	* configure.ac.in:
	  re-add profiling flag to configure.ac.in

2008-09-28 13:34  stephan

	* TODO, configure.ac.in, xfconf-query/main.c:
	  Update TODO Remove profiling-switch from configure.ac.in Update
	  xfconf-query to use the new 'Reset' function in favour of the
	  deprecated 'remove'.

2008-09-28 10:52  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  cosmetic: remove extra space in xml output

2008-09-28 10:45  kelnos

	* common/xfconf-gvaluefuncs.c, common/xfconf-gvaluefuncs.h,
	  xfconfd/xfconf-backend-perchannel-xml.c:
	  avoid emitting PropertyChanged when a property is set to the same
	  value
	  
	  not handling any array types yet, though

2008-09-28 10:17  kelnos

	* xfconfd/xfconf-daemon.c:
	  use same string for perms denied error

2008-09-28 10:14  kelnos

	* xfconfd/xfconf-daemon.c:
	  clarify code a bit

2008-09-28 10:01  kelnos

	* common/xfconf-dbus.xml, docs/reference/tmpl/xfconf-backend.sgml,
	  docs/reference/tmpl/xfconf-unused.sgml,
	  docs/reference/xfconf-sections.txt, xfconf/xfconf-channel.c,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c:
	  rename RemoveProperty() to ResetProperty() all over the place
	  
	  might as well just bite the bullet and do this. no incompat
	  library changes, but xfconfd will need to be restarted (usually)
	  after installing this version. i just want everything to be as
	  clean and legacy-free as possible when we get to 4.6.0 final...

2008-09-28 10:00  kelnos

	* common/xfconf-dbus.xml, docs/reference/tmpl/xfconf-backend.sgml,
	  docs/reference/tmpl/xfconf-channel.sgml,
	  docs/reference/xfconf-sections.txt, xfconf/xfconf-channel.c,
	  xfconf/xfconf-channel.h, xfconf/xfconf.symbols,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c:
	  add and implement IsPropertyLocked() dbus method, add libxfconf
	  getter
	  
	  this is buggy right now because the perchannel-xml backend
	  doesn't handle locking properly at all. bug fixes forthcoming.

2008-09-27 00:20  kelnos

	* common/xfconf-dbus.xml, xfconfd/xfconf-daemon.c:
	  clarify RemoveProperty() dbus method description. remove
	  org.xfce.Xfconf.GUI dbus interface since it's stupid and i never
	  really implemented it anyway.

2008-09-25 21:05  stephan

	* configure.ac.in, docs/Makefile.am, docs/xfsettingsd:
	  Remove xfsettingsd docs

2008-09-22 20:59  kelnos

	* configure.ac.in, docs/reference/Makefile.am,
	  docs/reference/tmpl/xfconf-channel.sgml,
	  docs/reference/xfconf-sections.txt, xfconf/xfconf-channel.c,
	  xfconf/xfconf-channel.h, xfconf/xfconf-private.h,
	  xfconf/xfconf.c, xfconf/xfconf.symbols:
	  add xfconf_channel_get() and xfconf_channel_reset_property().
	  
	  deprecate xfconf_channel_remove_property() and
	  xfconf_channel_remove_properties(). increase libtool interface
	  version and age.

2008-09-22 20:59  kelnos

	* xfconf/xfconf-binding.c:
	  fix docs for xfconf_g_property_bind_gdkcolor()

2008-09-16 01:01  kelnos

	* po/POTFILES.in, po/de.po, po/fi.po, po/fr.po, po/pt_BR.po,
	  po/xfconf.pot:
	  fix POTFILES, remove old strings moved to xfce4-settings package

2008-09-15 21:53  stephan

	* Makefile.am:
	  Fix makefile

2008-09-15 21:50  stephan

	* configure.ac.in, po/fi.po, po/fr.po, po/pt_BR.po, xfsettingsd:
	  Remove xfsettingsd in favor of xfce4-settings

2008-09-12 18:36  kelnos

	* xfconf/xfconf-channel.c, xfconf/xfconf-channel.h:
	  ok, this is the more or less correct way to declare that param,
	  thanks to jannis for his help.
	  
	  yes, i'm way to nitpicky about this, and i should just not care.

2008-09-12 06:05  kelnos

	* xfconf/xfconf-channel.c, xfconf/xfconf-channel.h:
	  whoops, "const gchar **" certainly isn't right... -> "gchar *
	  const *"

2008-09-10 10:35  kelnos

	* xfsettingsd/registry.c:
	  don't use 1024 scaling factor on Xft/DPI when it's -1

2008-09-09 18:56  jannis

	* xfsettingsd/registry.c:
	  Multiply the DPI property (and only this property!) with 1024
	  prior to calling XChangeProperty().

2008-09-09 07:38  maximilian

	* po/ChangeLog, po/fr.po:
	  Translations updates and new ones for trunk in es,fr,id

2008-09-08 21:29  kelnos

	* xfconf/xfconf-channel.c:
	  fix typo with crash when prop removed

2008-09-08 08:42  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations

2008-09-07 18:42  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-09-07 06:32  kelnos

	* ChangeLog:
	  update changelog

2008-09-07 06:31  kelnos

	* xfconf-gtk:
	  rm unused dir

2008-09-07 06:18  kelnos

	* xfconf/xfconf-channel.c:
	  fix crash when setting an array property when the arr items
	  *don't* have int16s

2008-09-07 06:18  kelnos

	* configure.ac.in:
	  clean up unused old stuff

2008-09-05 23:43  stephan

	* ChangeLog:
	  Update ChangeLog

2008-09-05 23:00  stephan

	* configure.ac.in:
	  Bump libxfce4util deb version

2008-09-05 22:22  stephan

	* configure.ac.in, po/de.po, po/fi.po, po/fr.po, po/pt_BR.po,
	  po/xfconf.pot:
	  Remove -svn tag Remove xfce 4.6 alpha tag update .po files

2008-09-03 22:26  stephan

	* xfconf-query/main.c:
	  Add filename selection for --import and --export functions...
	  still need implementations though

2008-09-02 18:39  maximilian

	* po/ChangeLog, po/LINGUAS, po/de.po, po/fi.po, po/fr.po,
	  po/pt_BR.po:
	  Translation update for Trunk in xfconf and Branch 4.4 in
	  mousepad, mcs-manager

2008-08-31 07:41  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  fix fetching properties rooted at something other than /

2008-08-30 20:46  jannis

	* autogen.sh:
	  Don't print errors when trying to determine the revision of a git
	  svn repository.

2008-08-27 10:15  kelnos

	* docs/reference/tmpl/xfconf-binding.sgml,
	  docs/reference/xfconf-sections.txt, xfconf/xfconf-binding.c,
	  xfconf/xfconf-binding.h, xfconf/xfconf.symbols:
	  add xfconf_g_property_bind_gdkcolor(), a nifty hack
	  
	  it binds the red/green/blue members of the GdkColor struct to an
	  xfconf property without getting that pesky first 'pixel' struct
	  member in the way

2008-08-27 10:15  kelnos

	* xfconf/xfconf-channel.c:
	  fix 16bit int handling when set with
	  xfconf_channel_set_property()

2008-08-25 07:41  kelnos

	* xfconf/xfconf-channel.h, xfconf/xfconf.h:
	  add some G_GNUC_WARN_UNUSED magic

2008-08-17 20:06  stephan

	* configure.ac.in:
	  Version bump

2008-08-17 20:05  stephan

	* configure.ac.in:
	  Fix configure.ac.in (with ALPHA version number)

2008-08-17 19:51  stephan

	* configure.ac.in:
	  Bump version number

2008-08-17 19:50  stephan

	* configure.ac.in, po/fi.po, po/pt_BR.po:
	  Bump version number update po files

2008-08-14 11:45  jari

	* po/ChangeLog, po/LINGUAS, po/fi.po:
	  Added Finnish translation.

2008-08-10 20:32  nick

	* common/xfconf-dbus.xml, xfconf/Makefile.am:
	  * Use org.freedesktop.DBus.GLib.ClientCSymbol.

2008-08-07 20:39  nick

	* xfconf/xfconf.c:
	  xfconf/xfconf.c: Lazy initialize the hash table, since named
	  structures are not used often. Use the slice allocator for the
	  structures. Print critical warning when the named structure is
	  already registered. Bug #4267.

2008-08-01 19:06  nick

	* xfsettingsd/registry.c:
	  * Fix my previous commit. Apparently a static name should also be
	  a canonical name...

2008-07-30 18:32  nick

	* xfconf/xfconf-binding.c:
	  * Tiny optimization. We can assume we normally only bind 1
	  property to an object. g_slist_prepend avoids a check inside
	  glib.

2008-07-29 19:42  nick

	* xfconf/xfconf-channel.c:
	  Use g_value_dup_string string here.

2008-07-29 19:40  nick

	* xfsettingsd/registry.c:
	  Don't copy the parameter names here too. Grouped the param's
	  since they're all the same, so this is more readable.

2008-07-29 19:35  nick

	* xfconf/xfconf-channel.c:
	  Don't copy the parameter name, nick and blurb. They will always
	  remain valid and unmodified.

2008-07-29 19:26  nick

	* docs/reference/tmpl/xfconf-binding.sgml,
	  docs/reference/xfconf-sections.txt, xfconf/xfconf-binding.c,
	  xfconf/xfconf-binding.h, xfconf/xfconf.symbols:
	  Implement xfconf_g_property_unbind_all(GObject *object), see Bug
	  #4252.

2008-07-29 04:57  kelnos

	* common/xfconf-dbus.xml, configure.ac.in,
	  docs/reference/tmpl/xfconf-backend.sgml,
	  docs/reference/xfconf-sections.txt, tests/Makefile.am,
	  tests/list-channels, tests/list-channels/Makefile.am,
	  tests/list-channels/t-list-channels.c, xfconf-query/main.c,
	  xfconf/xfconf-binding.c, xfconf/xfconf-channel.c,
	  xfconf/xfconf.h, xfconf/xfconf.symbols,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c:
	  add ListChannels() method to dbus iface and
	  xfconf_list_channels()

2008-07-28 21:11  nick

	* ChangeLog, common/xfconf-common-private.h, configure.ac.in,
	  xfconf/xfconf-binding.c, xfconf/xfconf-channel.c,
	  xfconfd/xfconf-backend-perchannel-xml.c, xfconfd/xfconf-daemon.c:
	  * configure.ac.in: Bump glib dependency to 2.12.0. *
	  xfconf/xfconf-channel.c, xfconf/xfconf-binding.c,
	  xfconfd/xfconf-backend-perchannel-xml.c, xfconfd/xfconf-daemon.c,
	  common/xfconf-common-private.h: Use GSList where possible. Use
	  the slice allocator where possible (therefore the 2.12.0
	  dependency). Use g_intern_static_string() in g_signal_new and
	  g_object_[sg]et_data.

2008-07-27 22:00  kelnos

	* docs/spec/general.txt:
	  update docs

2008-07-27 21:59  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  fix get_all(), stupid typo

2008-07-27 06:00  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  revert a change -- avoid double leading slashes when returning
	  all props

2008-07-27 05:59  kelnos

	* xfconfd/xfconf-backend.c:
	  improve property name validation

2008-07-27 01:06  kelnos

	* common/xfconf-dbus.xml, docs/reference/tmpl/xfconf-backend.sgml,
	  docs/reference/tmpl/xfconf-channel.sgml,
	  docs/reference/tmpl/xfconf-unused.sgml,
	  docs/reference/xfconf-sections.txt, xfconf-query/main.c,
	  xfconf/xfconf-channel.c, xfconf/xfconf-channel.h,
	  xfconf/xfconf.symbols, xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c:
	  make RemoveProperty and GetAllProperties interfaces easier to use
	  
	  all removing multiple properties at once based on a subtree of
	  the property tree. ditto for getting multiple properties at once

2008-07-25 19:13  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  remove unneeded code, fixes memleak on channel load

2008-07-17 19:31  jannis

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  xfconfd/xfconf-backend-perchannel-xml.c: Fix crash when removing
	  the last property of a channel. The check whether we are at the
	  root node (the one with prop->name == "/") was done after
	  accessing the parent of the current node (which is NULL for the
	  root node).

2008-07-17 15:03  jannis

	* xfconfd/main.c, xfconfd/xfconf-backend-perchannel-xml.c:
	  xfconfd/main.c, xfconfd/xfconf-backend-perchannel-xml.c: Fix a
	  few small memory leaks and add a comment about one I don't know
	  how to fix.

2008-07-17 14:40  jannis

	* xfsettingsd/registry.c:
	  xfsettingsd/registry.c: Fix memory leaks and a crash due to
	  invalid free'ing of a GError (use g_error_free instead of
	  g_free).

2008-07-17 09:36  jasper

	* configure.ac.in:
	  DOS line-endings, eww.

2008-07-16 11:52  stephan

	* configure.ac.in:
	  Fixed bug #4232, xfconf compiles again.

2008-07-15 11:10  jannis

	* autogen.sh:
	  Change @REVISION@ substitution for git svn repositories again.

2008-07-15 02:37  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-07-14 22:02  stephan

	* gtk-doc.make:
	  Remove auto-generated file gtk-doc.make

2008-07-14 22:02  stephan

	* configure.ac.in, po/pt_BR.po, po/xfconf.pot, xfconfd/Makefile.am,
	  xfsettingsd/Makefile.am:
	  Add optional profiling support for xfconfd and xfsettingsd Update
	  .po(t) files.

2008-07-14 21:36  stephan

	* docs/xfsettingsd/Makefile.am, tests/tests-common.h:
	  * Fix make distcheck (renamed .txt file in Makefile.am), and
	  increased the WAIT_TIMEOUT of the tests.

2008-07-09 22:22  jannis

	* ChangeLog, autogen.sh:
	  * autogen.sh: Fix @REVISION@ substitution when using git svn.

2008-07-07 05:41  kelnos

	* docs/Makefile.am:
	  fix missing dir in SUBDIRS

2008-07-05 21:13  jannis

	* ChangeLog, xfconf/xfconf-channel.c:
	  * xfconf/xfconf-channel.c: Disconnect from 'PropertyRemoved'
	  signal when destroying an XfconfChannel.

2008-07-03 00:19  jannis

	* ChangeLog, gtk-doc.make, xfconf-query/main.c,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-daemon.c:
	  * xfconfd/xfconf-backend.c,
	  xfconfd/xfconf-backend-perchannel-xml.c: Allow '<' and '>' to be
	  in property names. Escape property names using g_markup_escape()
	  before writing them to the XML files. * xfconf-query/main.c: Add
	  message newline to one of the error messages.

2008-06-29 21:29  stephan

	* common/xfconf-types.c, xfconf-query/main.c,
	  xfconf/xfconf-channel.c, xfconf/xfconf.c, xfconfd/main.c,
	  xfconfd/xfconf-backend-perchannel-xml.c, xfsettingsd/registry.c:
	  Applied patch from Nick (Bug #4184) Fixes compiler-warnings Fixes
	  XCursor Xrdb issue

2008-06-29 19:03  stephan

	* configure.ac.in, xfsettingsd/Makefile.am, xfsettingsd/accessx.c,
	  xfsettingsd/accessx.h, xfsettingsd/main.c:
	  Remove libnotify dependency and accessx-stuff (was moved to
	  xfce4-settings-helper)

2008-06-14 22:51  stephan

	* xfsettingsd/accessx.c:
	  Modify xfconf-props for accessx

2008-06-14 13:56  stephan

	* configure.ac.in, docs/xfsettingsd, docs/xfsettingsd/Makefile.am,
	  docs/xfsettingsd/xfsettingsd-channels.txt:
	  Add an xfsettingsd section to the docs

2008-06-14 12:55  stephan

	* configure.ac.in:
	  Forgot to include configure.ac.in with previous commit.

2008-06-14 12:55  stephan

	* xfsettingsd/Makefile.am, xfsettingsd/accessx.c,
	  xfsettingsd/accessx.h, xfsettingsd/main.c,
	  xfsettingsd/registry.c:
	  Add xkb-accessx support to xfsettingsd (TODO: make libnotify
	  dependency optional)

2008-06-10 22:27  stephan

	* xfsettingsd/registry.c, xfsettingsd/registry.h:
	  Improve registry behaviour...

2008-06-05 08:42  kelnos

	* common/xfconf-dbus.xml, xfconf/xfconf.c:
	  properly register marshaller and signal for PropertyRemoved

2008-06-04 18:56  kelnos

	* xfconf/xfconf-channel.c:
	  fix warnings on 64bit

2008-05-13 03:17  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  emit PropertyChanged on all props when a channel is removed

2008-05-13 03:17  kelnos

	* common/xfconf-dbus.xml, common/xfconf-marshal.list,
	  xfconf/xfconf-channel.c, xfconfd/xfconf-daemon.c:
	  add PropertyRemoved signal to dbus interface and hook it up
	  everywhere

2008-05-13 03:17  kelnos

	* tests/property-changed-signal/t-string-changed-signal-detailed.c,
	  tests/property-changed-signal/t-string-changed-signal.c:
	  fix property-changed tests (missing callback arg)

2008-05-12 22:48  stephan

	* xfsettingsd/registry.c, xfsettingsd/registry.h:
	  Add support for xrdb stuff

2008-05-12 00:23  kelnos

	* TODO, xfsettingsd/main.c:
	  make xfsettingsd manage all screens

2008-05-12 00:17  kelnos

	* xfconfd/xfconf-daemon.c:
	  don't emit PropertyChanged before returning from a get/set/etc.
	  handler

2008-05-07 06:15  kelnos

	* xfsettingsd/registry.c:
	  fix byte order, put the byte order as a CARD8, not CARD32

2008-05-07 06:15  kelnos

	* xfsettingsd/main.c, xfsettingsd/registry.c:
	  fix compilation with older compilers

2008-05-02 07:38  stephan

	* xfconfd/Makefile.am:
	  Add the .service file to CLEANFILES instead of DISTCLEANFILES.
	  Fixes the problem of the .service file pointing to the wrong path
	  when re-running configure

2008-05-01 23:02  omaciel

	* po/pt_BR.po:
	  Added Brazilian Portuguese translation

2008-05-01 23:02  omaciel

	* po/ChangeLog, po/LINGUAS:
	  Updated Brazilian Portuguese translation

2008-05-01 03:47  kelnos

	* xfconfd/xfconf-backend.c:
	  do validate the first char of the channel name

2008-04-30 02:35  kelnos

	* xfconfd/xfconf-backend.c:
	  i suck. 0-9 are valid characters.

2008-04-29 22:48  stephan

	* xfconf/xfconf-channel.c:
	  xfconf_channel_set_uint works better when it writes uints to the
	  gvalue instead of ints

2008-04-29 22:37  stephan

	* xfconfd/xfconf-backend.c:
	  prevent xfconfd from freezing

2008-04-28 01:29  kelnos

	* TODO, common/xfconf-errors.c,
	  docs/reference/tmpl/xfconf-errors.sgml, xfconf/xfconf-errors.h,
	  xfconfd/xfconf-backend.c:
	  validate channel names

2008-04-28 01:29  kelnos

	* common/xfconf-common-private.h, xfconf-query/main.c:
	  add support for getting and setting array properties to
	  xfconf-query

2008-04-28 01:29  kelnos

	* common/xfconf-types.c, docs/reference/tmpl/xfconf-backend.sgml,
	  docs/reference/tmpl/xfconf-channel.sgml,
	  docs/reference/tmpl/xfconf-errors.sgml,
	  docs/reference/tmpl/xfconf-unused.sgml,
	  docs/reference/xfconf-sections.txt, po/POTFILES.in,
	  po/xfconf.pot, xfconf/xfconf-channel.c:
	  update docs, po

2008-04-26 20:59  kelnos

	* common/xfconf-errors.c, xfconf/xfconf-errors.h,
	  xfconfd/xfconf-backend.c:
	  validate property names and throw an error if they're bad

2008-04-21 09:38  stephan

	* xfsettingsd/main.c, xfsettingsd/registry.c,
	  xfsettingsd/registry.h:
	  Make xfsettingsd use the new property-changed signal interface
	  
	  Xfsettingsd will now exit cleanly when it loses the selection

2008-04-21 08:33  kelnos

	* common/xfconf-dbus.xml, common/xfconf-marshal.list,
	  xfconf/xfconf-binding.c, xfconf/xfconf-channel.c,
	  xfconf/xfconf.c, xfconfd/xfconf-daemon.c:
	  add property value to
	  PropertyChanged/XfconfChannel::property-changed signal
	  
	  it seems like every time i get a property-changed signal, the
	  first thing i do is go and fetch the property. always sending the
	  value over the wire in the signal will generally save us a
	  round-trip when handling property changes. the downside is that
	  the value always gets sent out on any prop change, regardless if
	  anyone cares about that particular property or not

2008-04-21 01:02  kelnos

	* xfconf/xfconf-channel.c, xfconf/xfconf-channel.h,
	  xfconf/xfconf.symbols:
	  turns out having convenience getter/setter for unsigned int is
	  useful

2008-04-20 07:39  kelnos

	* common/xfconf-types.c, docs/spec/backend.txt,
	  docs/spec/perchannel-xml.txt, xfconf/xfconf-channel.c:
	  treat uint16/int16 as uint32/int32 when sending data over dbus
	  
	  annoyingly, dbus-glib doesn't support sending 16-bit signed or
	  unsigned integers over the bus, since no 16-bit GTypes exist. the
	  ability to expose custom GValue marshallers is not exposed in
	  dbus-glib's API, so custom GTypes cannot be added.
	  
	  so, internally, we handle 16-bit values as if they were 32-bit
	  values. the 16-bit types are kept so that the struct-related
	  functions still work.

2008-04-20 07:38  kelnos

	* xfconf-query/main.c:
	  use standard capital 'V' for version and lowercase 'v' for
	  verbose

2008-04-20 07:38  kelnos

	* tests/Makefile.inc, tests/tests-common.h:
	  properly make sure xfconfd has started on our bus before
	  continuing

2008-04-17 11:25  stephan

	* xfsettingsd/registry.c:
	  Fix ToolbarIconSize registry entry (int)

2008-04-17 06:13  stephan

	* xfconf-query/main.c:
	  Add --remove field to xfconf-query (usefull for xfconfd-database
	  maintenance)

2008-04-15 10:36  kelnos

	* xfconf/xfconf-binding.c:
	  remove XfconfGBinding from channel's list if the GObject gets
	  freed

2008-04-15 08:55  kelnos

	* autogen.sh:
	  get svn revision from git-svn in a smarter way

2008-04-15 08:24  kelnos

	* xfconf/xfconf-binding.c:
	  fix missing include

2008-04-15 08:22  kelnos

	* xfconf/xfconf.symbols:
	  fix typo

2008-04-15 08:09  kelnos

	* Makefile.am, configure.ac.in, docs/reference/Makefile.am,
	  docs/reference/tmpl/xfconf-binding.sgml,
	  docs/reference/tmpl/xfconf-gtk.sgml,
	  docs/reference/xfconf-docs.sgml,
	  docs/reference/xfconf-sections.txt, xfconf-gtk/Makefile.am,
	  xfconf-gtk/libxfconf-gtk-0.pc.in, xfconf-gtk/xfconf-gtk.c,
	  xfconf-gtk/xfconf-gtk.h, xfconf/Makefile.am,
	  xfconf/xfconf-binding.c, xfconf/xfconf-binding.h,
	  xfconf/xfconf.h, xfconf/xfconf.symbols:
	  remove libxfconf-gtk and move binding functionality to libxfconf
	  
	  binding functionality is not gobject-based (uses properties) and
	  doesn't require gtk at all

2008-04-15 05:56  kelnos

	* tests/property-changed-signal/Makefile.am,
	  tests/property-changed-signal/t-string-changed-signal-detailed.c,
	  tests/property-changed-signal/t-string-changed-signal.c,
	  xfconf/xfconf-channel.c:
	  make XfconfChannel::property-changed allow a prop name signal
	  detail
	  
	  this way you can get a signal for changes to all properties in a
	  channel by connecting to "property-changed", or just one property
	  by connecting to "property-changed::/property/name"

2008-04-14 06:40  kelnos

	* xfconf-query/main.c:
	  allow xfconf-query to create new channels/properties

2008-04-14 06:00  kelnos

	* common/Makefile.am, common/xfconf-gvaluefuncs.c,
	  common/xfconf-gvaluefuncs.h, common/xfconf-types.c,
	  common/xfconf-util.c, common/xfconf-util.h, xfconf/Makefile.am,
	  xfconfd/Makefile.am, xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-daemon.c, xfconfd/xfconf-locking-utils.c,
	  xfconfd/xfconf-locking-utils.h:
	  do some rearranging of code locations
	  
	  * the locking evaluation stuff is really only needed in the
	  daemon * clean up an extra copy of xfconf_g_value_free() * move
	  _xfconf_gtype_from_string() to gvaluefuncs * compile
	  xfconf-types.c directly into the daemon and libxfconf separately
	  to avoid problems with the aliasdef stuff

2008-04-13 20:46  stephan

	* xfconf-query/main.c:
	  Fix build with --enable-debug=full

2008-04-13 20:44  stephan

	* xfconf-query/main.c:
	  Add --list and --verbose options to xfconf-query

2008-04-13 09:28  kelnos

	* xfconfd/xfconf-daemon.c:
	  emit the PropertyChanged signal properly. duh.

2008-04-11 05:29  kelnos

	* tests/Makefile.inc, tests/get-properties/Makefile.am,
	  tests/has-properties/Makefile.am,
	  tests/property-changed-signal/Makefile.am,
	  tests/remove-properties/Makefile.am,
	  tests/set-properties/Makefile.am, tests/test-template.sh.in:
	  pull common stuff out of makefiles, fix 'mke distcheck' properly

2008-04-11 05:24  stephan

	* Makefile.am:
	  Fix make distcheck

2008-04-10 22:46  stephan

	* configure.ac.in, po/xfconf.pot, tests/Makefile.am,
	  tests/get-properties/Makefile.am,
	  tests/get-properties/test-template.sh.in,
	  tests/has-properties/Makefile.am,
	  tests/has-properties/test-template.sh.in, tests/lock-properties,
	  tests/property-changed-signal/Makefile.am,
	  tests/property-changed-signal/test-template.sh.in,
	  tests/remove-properties/Makefile.am,
	  tests/remove-properties/test-template.sh.in,
	  tests/set-properties/Makefile.am,
	  tests/set-properties/test-template.sh.in,
	  tests/test-template.sh.in:
	  Fix the test-suite

2008-04-10 22:19  stephan

	* tests/Makefile.am, tests/get-properties,
	  tests/get-properties/Makefile.am,
	  tests/get-properties/t-get-arrayv.c,
	  tests/get-properties/t-get-boolean.c,
	  tests/get-properties/t-get-double.c,
	  tests/get-properties/t-get-int.c,
	  tests/get-properties/t-get-string.c,
	  tests/get-properties/t-get-stringlist.c,
	  tests/get-properties/t-get-uint64.c,
	  tests/get-properties/test-template.sh.in, tests/has-properties,
	  tests/has-properties/Makefile.am,
	  tests/has-properties/t-has-arrayv.c,
	  tests/has-properties/t-has-boolean.c,
	  tests/has-properties/t-has-double.c,
	  tests/has-properties/t-has-int.c,
	  tests/has-properties/t-has-string.c,
	  tests/has-properties/t-has-stringlist.c,
	  tests/has-properties/t-has-uint64.c,
	  tests/has-properties/test-template.sh.in,
	  tests/property-changed-signal,
	  tests/property-changed-signal/Makefile.am,
	  tests/property-changed-signal/t-string-changed-signal.c,
	  tests/property-changed-signal/test-template.sh.in,
	  tests/remove-properties, tests/remove-properties/Makefile.am,
	  tests/remove-properties/t-remove-arrayv.c,
	  tests/remove-properties/t-remove-boolean.c,
	  tests/remove-properties/t-remove-double.c,
	  tests/remove-properties/t-remove-int.c,
	  tests/remove-properties/t-remove-string.c,
	  tests/remove-properties/t-remove-stringlist.c,
	  tests/remove-properties/t-remove-uint64.c,
	  tests/remove-properties/test-template.sh.in,
	  tests/set-properties, tests/set-properties/Makefile.am,
	  tests/set-properties/t-set-arrayv.c,
	  tests/set-properties/t-set-boolean.c,
	  tests/set-properties/t-set-double.c,
	  tests/set-properties/t-set-int.c,
	  tests/set-properties/t-set-string.c,
	  tests/set-properties/t-set-stringlist.c,
	  tests/set-properties/t-set-uint64.c,
	  tests/set-properties/test-template.sh.in,
	  tests/t-get-properties.c, tests/t-has-properties.c,
	  tests/t-property-changed-signal.c, tests/t-remove-properties.c,
	  tests/t-set-properties.c, tests/test-template.sh.in:
	  Organise test-suite a little.

2008-04-10 22:06  kelnos

	* common/xfconf-gvaluefuncs.c:
	  revert previous change -- _xfconf_gvalue_from_string() isn't
	  meant to be able to convert semicolon-delimited strings into an
	  array, just to create an array to put arbitrary elements into

2008-04-10 08:31  stephan

	* common/xfconf-util.h:
	  Add G_GNUC_INTERNAL to xfconf_g_value_free function (restores
	  abi)

2008-04-09 20:41  stephan

	* common/Makefile.am, po/xfconf.pot, xfconf-query/Makefile.am,
	  xfconf-query/main.c:
	  Improve xfconf-query support for gvalue types (use common-code
	  for gvalue >< string conversion) Fix compile-warning with
	  make-distcheck inside common-libs, (add header to Makefile.am)
	  Update pot file.

2008-04-09 06:53  kelnos

	* common/xfconf-gvaluefuncs.c:
	  convert string list (as semicolon-delim list) into GValue
	  properly

2008-04-09 06:22  kelnos

	* po/POTFILES.in, po/xfconf.pot:
	  update POTFILES

2008-04-09 06:20  kelnos

	* common/xfconf-gvaluefuncs.c, common/xfconf-gvaluefuncs.h,
	  xfconf-gtk/xfconf-gtk.c:
	  move xfconf_gtk_string_from_gvalue() to common

2008-04-09 06:02  kelnos

	* docs/reference/tmpl/xfconf-gtk.sgml,
	  docs/reference/tmpl/xfconf-unused.sgml,
	  docs/reference/xfconf-sections.txt, xfconf-gtk/xfconf-gtk.c,
	  xfconf-gtk/xfconf-gtk.h:
	  rename xfconf_gtk_widget_bind_property() s/widget/editable, fix
	  some bugs
	  
	  different widget types are going to have to be handled
	  differently, with different parameters. check buttons will always
	  be boolean types, radio buttons will need to have some sort of
	  identifier associated with them, etc.

2008-04-09 05:30  kelnos

	* Makefile.am, configure.ac.in, docs/reference/Makefile.am,
	  docs/reference/tmpl/xfconf-gtk.sgml,
	  docs/reference/xfconf-docs.sgml,
	  docs/reference/xfconf-sections.txt, xfconf-gtk,
	  xfconf-gtk/Makefile.am, xfconf-gtk/libxfconf-gtk-0.pc.in,
	  xfconf-gtk/xfconf-gtk.c, xfconf-gtk/xfconf-gtk.h:
	  add first pass at xfconf-gtk convenience library
	  
	  it only supports widgets that implement GtkEditable, but more to
	  come soon

2008-04-09 05:29  kelnos

	* common/Makefile.am, common/xfconf-gvaluefuncs.c,
	  common/xfconf-gvaluefuncs.h, common/xfconf-util.h,
	  xfconfd/Makefile.am, xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-daemon.c:
	  move GValue convenience funcs to their own libtool convenience
	  lib

2008-04-09 05:29  kelnos

	* xfconf/Makefile.am:
	  fix xfconf includes install location

2008-04-09 05:29  kelnos

	* TODO:
	  update todo

2008-04-09 05:29  kelnos

	* docs/reference/tmpl/xfconf-types.sgml:
	  add missing api doc

2008-04-08 17:40  stephan

	* xfconf-query/main.c, xfsettingsd/main.c:
	  Code-cleanup inside xfconf-query Update --version string of
	  xfconf-query and xfsettingsd

2008-04-07 20:30  stephan

	* xfconf-query/main.c:
	  Add read-support to xfconf-query

2008-04-07 19:47  stephan

	* Makefile.am, configure.ac.in, xfconf-query,
	  xfconf-query/Makefile.am, xfconf-query/main.c,
	  xfconf/xfconf-channel.c:
	  Add xfconf-query cli-tool (it can only update existing values for
	  now)
	  
	  Fix an uninitialized gvalue struct inside the xfconf library

2008-04-07 08:49  kelnos

	* docs/reference/tmpl/xfconf-backend.sgml, tests/Makefile.am,
	  tests/t-property-changed-signal.c,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c:
	  make the PropertyChanged signal work

2008-04-07 08:48  kelnos

	* AUTHORS:
	  add stephan to AUTHORS

2008-04-05 15:58  kelnos

	* xfconf/xfconf.h:
	  add missing xfconf-types.h include to main header

2008-04-05 01:46  kelnos

	* configure.ac.in, gtk-doc.make, xfsettingsd/Makefile.am,
	  xfsettingsd/main.c, xfsettingsd/registry.c:
	  make xfsettingsd build optional, clean up all warnings, xfce-ise
	  it

2008-04-02 22:37  stephan

	* xfsettingsd/registry.c:
	  Fixed the header information of the registry file.

2008-04-02 22:25  stephan

	* Makefile.am, TODO, configure.ac.in, xfsettingsd,
	  xfsettingsd/Makefile.am, xfsettingsd/main.c,
	  xfsettingsd/registry.c, xfsettingsd/registry.h:
	  Import xfsettingsd code, the xfce-xsettingsd
	  
	  Update TODO

2008-04-02 08:34  kelnos

	* xfconf/xfconf.symbols:
	  add new symbol to xfconf.symbols so 'make check' passes

2008-02-20 18:34  kelnos

	* xfconf/Makefile.am, xfconf/libxfconf-0.pc.in:
	  patch from Stephan to fix includes location

2008-01-14 06:42  kelnos

	* docs/spec/backend.txt, docs/spec/perchannel-xml.txt:
	  update spec and docs

2008-01-14 06:42  kelnos

	* common/Makefile.am, common/xfconf-common-private.h,
	  docs/reference/tmpl/xfconf.sgml,
	  docs/reference/xfconf-sections.txt, tests/t-get-properties.c,
	  tests/t-has-properties.c, tests/t-remove-properties.c,
	  tests/t-set-properties.c, tests/tests-common.h,
	  xfconf/xfconf-channel.c, xfconf/xfconf-channel.h,
	  xfconf/xfconf.c, xfconf/xfconf.h, xfconfd/Makefile.am,
	  xfconfd/xfconf-backend-perchannel-xml.c:
	  make the array stuff work, in theory.
	  
	  i think this should work now. GArrays of GValues don't seem to
	  work, unfortunately, but GPtrArrays of GValues do. passing
	  GValueArrays directly to dbus-glib works, but it's difficult if
	  not impossible to figure out what they are on the other end.
	  
	  anyhow, so the array stuff works by passing a GPtrArray of
	  GValues to dbus-glib (after stuffing the GPtrArray in its own
	  GValue).

2008-01-14 06:42  kelnos

	* tests/t-set-properties.c, xfconf/xfconf-channel.c:
	  use GValueArray to set and get string lists

2007-12-05 10:06  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  * handle 'empty' branches properly * fix typo
	  (attribute_values[i] -> type)

2007-12-05 10:06  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  don't use old <string> elem; use <value type="string" ...>
	  instead

2007-12-05 10:06  kelnos

	* autogen.sh:
	  extract svn revision using git-svn

2007-11-06 05:52  kelnos

	* common, common/Makefile.am, common/make-exo-alias.pl,
	  common/xfconf-errors.c, common/xfconf-types.c,
	  common/xfconf-util.h, configure.ac.in,
	  docs/reference/tmpl/xfconf-types.sgml, po/xfconf.pot, tests,
	  xfconf/Makefile.am, xfconf/abicheck.sh, xfconf/xfconf-channel.c,
	  xfconf/xfconf.c, xfconf/xfconf.symbols, xfconfd/Makefile.am:
	  add gnuc visibility stuff

2007-10-27 19:23  kelnos

	* docs/spec/Makefile.am:
	  fix make dist

2007-10-25 18:33  kelnos

	* po/ChangeLog:
	  distcheck requires a po/changelog

2007-10-25 09:14  kelnos

	* TODO, common/Makefile.am, common/xfconf-types.c,
	  common/xfconf-util.h, docs/reference/tmpl/xfconf-backend.sgml,
	  docs/reference/tmpl/xfconf-channel.sgml,
	  docs/reference/tmpl/xfconf-types.sgml,
	  docs/reference/tmpl/xfconf-unused.sgml,
	  docs/reference/tmpl/xfconf.sgml, docs/reference/xfconf-docs.sgml,
	  docs/reference/xfconf-sections.txt, docs/spec/backend.txt,
	  docs/spec/perchannel-xml.dtd, docs/spec/perchannel-xml.txt,
	  gtk-doc.make, tests/t-get-properties.c, tests/t-has-properties.c,
	  tests/t-remove-properties.c, tests/t-set-properties.c,
	  tests/tests-common.h, xfconf/Makefile.am,
	  xfconf/xfconf-channel.c, xfconf/xfconf-channel.h,
	  xfconf/xfconf-private.h, xfconf/xfconf-types.h, xfconf/xfconf.c,
	  xfconf/xfconf.h, xfconfd/xfconf-backend-perchannel-xml.c:
	  start migration to new library API with array types and struct
	  serializers. this isn't completely done and doesn't quite work
	  (needs some more daemon backend work), but what's in svn doesn't
	  work properly right now either

2007-10-25 05:14  kelnos

	* configure.ac.in:
	  use tagged svn version scheme

2007-10-04 18:58  kelnos

	* TODO:
	  update todo, spearate items into '1.0' items and 'future' items

2007-10-03 12:43  kelnos

	* xfconfd/main.c:
	  add --version option

2007-10-03 12:34  kelnos

	* common/Makefile.am, common/xfconf-errors.c,
	  docs/reference/Makefile.am,
	  docs/reference/tmpl/xfconf-backend.sgml,
	  docs/reference/tmpl/xfconf-errors.sgml,
	  docs/reference/xfconf-docs.sgml,
	  docs/reference/xfconf-sections.txt, xfconf/Makefile.am,
	  xfconf/xfconf-errors.h, xfconf/xfconf.c, xfconf/xfconf.h,
	  xfconfd/Makefile.am, xfconfd/main.c,
	  xfconfd/xfconf-backend-factory.c,
	  xfconfd/xfconf-backend-factory.h,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c, xfconfd/xfconf-daemon.h:
	  * move XfconfBackendError to a more public place and rename it to
	  XfconfError * allow xfconfd to load multiple backends, the first
	  of which is read/write, and the others are read-only * update
	  docs

2007-10-03 10:55  kelnos

	* xfconfd/main.c:
	  ignore sigpipe again

2007-10-03 09:15  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  don't print warnings on common non-error errors unless
	  XFCONF_ENABLE_CHECKS is defined

2007-10-03 09:11  kelnos

	* tests/t-get-properties.c, tests/t-has-properties.c,
	  tests/t-remove-properties.c, tests/t-set-properties.c,
	  tests/tests-common.h:
	  use #define instead of hardcoded test channel name

2007-10-03 09:09  kelnos

	* tests/t-remove-properties.c:
	  make RemoveProperty test more robust - check for presence of each
	  property before removing, and again after each remove

2007-10-03 09:08  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  fix RemoveProperty removing all properties from the tree :-(

2007-10-03 08:56  kelnos

	* docs/reference, docs/reference/tmpl:
	  update svn:ignore

2007-10-03 08:55  kelnos

	* tests:
	  set svn:ignore

2007-10-03 08:50  kelnos

	* tests/test-template.sh.in:
	  fix template to use local XDG_CONFIG_HOME

2007-10-03 08:49  kelnos

	* Makefile.am, configure.ac.in, xfconf/xfconf-channel.c:
	  * add test framework to build * add possibility for extra error
	  checking in libxfconf * fix warning (don't init gvalues before
	  passing to dbus) * handle G_TYPE_STRV as string list in libxfconf

2007-10-03 08:47  kelnos

	* tests/tests-common.h:
	  add a sleep(). meh.

2007-10-03 08:37  kelnos

	* tests, tests/Makefile.am, tests/t-get-properties.c,
	  tests/t-has-properties.c, tests/t-remove-properties.c,
	  tests/t-set-properties.c, tests/test-template.sh.in,
	  tests/tests-common.h:
	  add tests framework

2007-10-03 08:28  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  * make error reporting more verbose (should have a way to turn
	  this off) * handle G_TYPE_STRV (i'm not sure why strlists aren't
	  getting received as a GPtrArray of (gchar *)s) * fix channel xml
	  file parse problem with string lists

2007-10-03 08:06  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  correct GDestroyNotify for the proptree

2007-10-03 08:04  kelnos

	* xfconfd/main.c:
	  add posix signal handling to exit xfconfd cleanly

2007-10-03 06:38  kelnos

	* xfconf/xfconf-channel.c, xfconf/xfconf.c:
	  * call g_type_init() in xfconf_init() * register marshaller and
	  signal for PropertyChanged * fix signal name Changed ->
	  PropertyChanged

2007-10-03 05:07  kelnos

	* xfconf/xfconf-channel.c:
	  move channel init stuff out of _new() and into _init()

2007-10-01 09:05  kelnos

	* TODO:
	  update todo

2007-10-01 08:59  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  fix missing root node property name, fix crash on double-free()

2007-10-01 08:49  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  * stupid - fix RemoveProperty() crash; just a mistaken parameter
	  * make _proptree_remove() remove empty parents of the node to be
	  removed

2007-10-01 08:35  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  redid perchannel-xml backend to use GNode internally for the
	  property tree rather than GTree, as GTree is just not really
	  working right here (even tho it's easier to use). GetProperty(),
	  SetProperty(), GetAllProperties(), PropertyExists(), and
	  RemoveChannel() appear to work. RemoveProperty() causes a
	  segfault, not sure why yet.

2007-10-01 07:41  kelnos

	* xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h:
	  add permission denied error type

2007-09-17 16:24  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  fix file writing - forgot to XfconfProperty-ise it

2007-09-17 15:59  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  fix some get/set stuff. make set and get_all use the new
	  XfconfProperty stuff. i think stuff is starting to work.

2007-09-17 15:48  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  fix a bunch of parsing buglets - still more tho

2007-09-16 07:38  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  this appears to work for writing out the perchannel-xml config
	  files, but it's pretty ugly, and i'm not sure if it works in all
	  cases

2007-09-14 12:29  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  lowercase all channel/property names to enforce
	  case-insensitivity

2007-09-14 12:05  kelnos

	* common/Makefile.am, xfconf/Makefile.am:
	  fix build of autogenerated sources

2007-09-14 11:38  kelnos

	* TODO, common/xfconf-util.c, common/xfconf-util.h,
	  configure.ac.in, docs/spec/perchannel-xml.txt,
	  xfconfd/xfconf-backend-perchannel-xml.c:
	  implement most of the the perchannel-xml reading and parsing
	  code. it's not complete, and it completely differs from the write
	  code (right now, it can't properly read the files it writes), and
	  there are some problems parsing string lists (sometimes), which i
	  know how to fix. also there's a new locking scheme that
	  dupilcates the functionality currently in XfceKiosk.
	  
	  regardless, it's totally not usable right now, but i need to
	  commit so i can work on this elsewhere.

2007-09-07 09:09  kelnos

	* docs/spec/Makefile.am, docs/spec/general.txt,
	  docs/spec/lockdown-behavior.txt, docs/spec/perchannel-xml.dtd,
	  docs/spec/perchannel-xml.txt:
	  add some preliminary specs/behavior descriptions

2007-09-06 09:57  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c:
	  change version of perchannel-xml file format from 1 to 0.1

2007-09-06 09:52  kelnos

	* TODO:
	  update todo again

2007-09-06 09:50  kelnos

	* TODO:
	  update todo

2007-09-06 09:36  kelnos

	* TODO:
	  add todo file

2007-09-06 09:27  kelnos

	* docs/spec, xfconfd, xfconfd/Makefile.am,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c:
	  implement most of the perchannel-xml backend. reading stuff from
	  the xml files isn't implemented yet, but writing values is done
	  and appears to work

2007-09-06 09:25  kelnos

	* docs/spec/Makefile.am:
	  whoops, forgot the makefile

2007-09-06 09:25  kelnos

	* configure.ac.in, docs/Makefile.am, docs/spec,
	  docs/spec/perchannel-xml.dtd:
	  add prelim dtd for the perchannel-xml backend

2007-09-06 09:24  kelnos

	* common/Makefile.am, common/xfconf-util.c, common/xfconf-util.h:
	  add xfconf_g_value_free() utility function

2007-09-06 09:24  kelnos

	* xfconf/xfconf-channel.h, xfconf/xfconf.h:
	  clean up header files

2007-09-06 03:08  kelnos

	* common/xfconf-dbus.xml, xfconfd/Makefile.am,
	  xfconfd/xfconf-daemon.c:
	  do some cosmetic renaming

2007-09-06 02:15  kelnos

	* common/xfconf-dbus.xml, docs/reference/tmpl/xfconf-backend.sgml,
	  docs/reference/xfconf-sections.txt, xfconf/xfconf-channel.c,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c:
	  * add RemoveChannel() to the dbus interface and client lib *
	  rename some dbus methods so it's more clear what they do

2007-09-05 08:55  kelnos

	* configure.ac.in, xfconfd, xfconfd/Makefile.am,
	  xfconfd/org.xfce.Xfconf.service.in:
	  add dbus activation service file

2007-09-05 08:39  kelnos

	* xfconfd/xfconf-daemon.c:
	  add comment about possible memory leak

2007-09-05 08:12  kelnos

	* xfconfd/Makefile.am, xfconfd/xfconf-daemon.c:
	  launch to-be-written settings app on ShowList() and ShowPlugin()

2007-09-05 08:03  kelnos

	* docs, docs/reference, docs/reference/tmpl:
	  set svn:ignore

2007-09-05 08:01  kelnos

	* Makefile.am, common/xfconf-dbus.xml, configure.ac.in, docs,
	  docs/Makefile.am, docs/reference, docs/reference/Makefile.am,
	  docs/reference/tmpl, docs/reference/tmpl/xfconf-backend.sgml,
	  docs/reference/tmpl/xfconf-channel.sgml,
	  docs/reference/tmpl/xfconf-unused.sgml,
	  docs/reference/tmpl/xfconf.sgml, docs/reference/version.xml.in,
	  docs/reference/xfconf-docs.sgml,
	  docs/reference/xfconf-overrides.txt,
	  docs/reference/xfconf-sections.txt, docs/reference/xfconf.types,
	  gtk-doc.make, xfconf/xfconf-channel.c, xfconf/xfconf-channel.h,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h:
	  add gtk-doc framework and fix up docs everywhere

2007-09-05 06:46  kelnos

	* ., common, po, xfconf, xfconfd:
	  set svn:ignore

2007-09-05 06:41  kelnos

	* xfconf/xfconf-channel.c, xfconf/xfconf-channel.h,
	  xfconf/xfconf.c, xfconf/xfconf.h, xfconfd/main.c:
	  fix some license headers and document all functions in libxfconf

2007-09-05 05:55  kelnos

	* xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c:
	  add docs for XfconfBackendInterface, and change the interface a
	  little so the backend should expect an already-inited GHashTable
	  for GetAll() rather than doing that itself

2007-09-05 05:38  kelnos

	* common/xfconf-dbus.xml, xfconf/xfconf-channel.c,
	  xfconf/xfconf-channel.h, xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c:
	  * change xfconf_channel_get_*() API to return the values directly
	  and take a 'default_value' param for when a property doesn't
	  exist * add API to DBus interface: GetAll, Exists, Remove * add
	  XfconfChannel API: xfconf_channel_get_all(),
	  xfconf_channel_property_exists(),
	  xfconf_channel_remove_property()

2007-09-04 11:46  kelnos

	* po/POTFILES.in, po/xfconf.pot:
	  fix potfiles stiff and add pot file

2007-09-04 11:46  kelnos

	* common/Makefile.am, common/xfconf-marshal.list,
	  xfconf/Makefile.am, xfconf/xfconf-marshal.list,
	  xfconfd/Makefile.am, xfconfd/xfconf-daemon.c:
	  move the marshallers into a private lib so both the client lib
	  and daemon can use it

2007-09-04 11:32  kelnos

	* xfconfd/main.c:
	  set glib prgname and application_name

2007-09-04 11:30  kelnos

	* xfconfd/main.c, xfconfd/xfconf-daemon.c, xfconfd/xfconf-daemon.h:
	  add ability to set backend type from main() so it doesn't
	  segfault

2007-09-04 10:54  kelnos

	* xfconf/Makefile.am, xfconf/xfconf-channel.c,
	  xfconf/xfconf-channel.h, xfconf/xfconf-marshal.list:
	  implement pretty much all of XfconfChannel

2007-09-04 09:38  kelnos

	* xfconf/Makefile.am, xfconf/xfconf-channel.c,
	  xfconf/xfconf-channel.h, xfconf/xfconf-private.h,
	  xfconf/xfconf.c, xfconf/xfconf.h:
	  initial files for libxfconf, mostly-empty implementation

2007-09-04 09:38  kelnos

	* xfconfd/Makefile.am, xfconfd/main.c,
	  xfconfd/xfconf-backend-factory.c,
	  xfconfd/xfconf-backend-perchannel-xml.c,
	  xfconfd/xfconf-backend-perchannel-xml.h,
	  xfconfd/xfconf-backend.c, xfconfd/xfconf-backend.h,
	  xfconfd/xfconf-daemon.c:
	  add backend framework to daemon with an empty implementation of a
	  backend that does an XML file per channel

2007-09-04 09:37  kelnos

	* configure.ac.in:
	  fixup missing stuff for configure script

2007-09-04 09:37  kelnos

	* po/LINGUAS:
	  forgot LINGUAS file

2007-09-04 08:03  kelnos

	* AUTHORS, COPYING, ChangeLog, Makefile.am, NEWS, README,
	  autogen.sh, common, common/Makefile.am, common/xfconf-dbus.xml,
	  configure.ac.in, po, po/POTFILES.in, xfconf, xfconf/Makefile.am,
	  xfconf/libxfconf-0.pc.in, xfconfd, xfconfd/Makefile.am,
	  xfconfd/main.c, xfconfd/xfconf-backend-factory.c,
	  xfconfd/xfconf-backend-factory.h, xfconfd/xfconf-backend.c,
	  xfconfd/xfconf-backend.h, xfconfd/xfconf-daemon.c,
	  xfconfd/xfconf-daemon.h:
	  initial import of xfconfd/libxfconf

2007-09-04 08:02  kelnos

	* .:
	  create dir tree for xfconf

